<?php
$downloads = array(
array(
"version" => "2.8",
"date" => "July 2015",
"notes" => array("This version includes Nik Sultana's code to construct Isabelle proofs.")),
array(
"version" => "2.7",
"date" => "April 15, 2013",
"notes" => array("Starting with this version, Satallax can call the first-order theorem prover E during search.","Also, there are many new modes and a new strategy schedule.")),
array(
"version" => "2.6",
"date" => "August 16, 2012",
"notes" => array("Fixed a bug with TPTP include directives that use full paths.")),
array(
"version" => "2.5",
"date" => "August 14, 2012",
"notes" => array("Added TSTP proof output.")),
array(
"version" => "2.4",
"date" => "April 23, 2012",
"notes" => array("Added an implementation of higher-order preunification that is sometimes used to suggest instantiations.",
                 "Added support for demonstrating satisfiability in finite models.",
                 "Competed in CASC-J6")),
array(
"version" => "2.3",
"date" => "January 30, 2012",
"notes" => array("Upgraded to MiniSat 2.2.0.",
                 "Added code to lookup the value of propositional variables in the assignment. This can be used to guide the search.",
                 "Support for create Coq proof terms (for the simply typed fragment of Coq) has been added. This assumes Coq >= 8.4 (with eta conversion).")),
array(
"version" => "2.2",
"date" => "September 9, 2011",
"notes" => array("There is now an option for producing higher-order unsatisfiable cores.",
                 "The production of Coq proof scripts is more robust than in Satallax 2.1.")),
array(
"version" => "2.1",
"date" => "June 17, 2011",
"notes" => array("New flags and new modes have been added.",
"Support for producing Coq proof scripts has been added.",
"The code for producing proof scripts was written by Andreas Teucke.",
"Before producing proof scripts, <a href=\"http://fmv.jku.at/picosat/\">PicoSAT</a> is called to compute a minimal unsatisfiable core.",
"Competed in CASC-23; Winner of THF division")),
array(
"version" => "2.0",
"date" => "February 10, 2011",
"notes" => array("This is a complete reimplementation of Satallax in Objective Caml.",
"A foreign function interface is now used to interact with MiniSat code.")),
array(
"version" => "1.4",
"date" => "June 2, 2010",
"notes" => array("A number of extensions to the search procedure have been implemented.  New modes that use these extensions have been added.",
"The strategy has been adjusted to use some of the new modes.",
"Extension 1. A preprocessing phase has been added.  This splits a problem into independent problems if possible.",
"Extension 2. Subterms of the original problem can be preemptively used as instantiations.",
"Extension 3.  Some modes use higher-order clauses and pattern matching during search.",
"Finally, bug in pattern matching from version 1.3 has been fixed.",
"This is the last version of Satallax coded in Lisp.",
"Competed in CASC-J5")),
//array(
//"version" => "1.3",
// "date" => "May 30, 2010",
// "notes" => array("A number of extensions to the search procedure have been implemented.  New modes that use these extensions have been added.",
//"The strategy has been adjusted to use some of the new modes.",
//"Extension 1. A preprocessing phase has been added.  This splits a problem into independent problems if possible.",
//"Extension 2. Subterms of the original problem can be preemptively used as instantiations.",
//"Extension 3.  Some modes use higher-order clauses and pattern matching during search.")),
array("version" => "1.2",
 "date" => "January 29, 2010",
 "notes" => array("Shadowing is now disallowed.  A name must be declared exactly once.")),
array("version" => "1.1",
 "date" => "January 15, 2010",
 "notes" => array()),
array("version" => "1.0",
 "date" => "January 8, 2010",
 "notes" => array("There are bugs when certain command line options are used in combination (-t with -m, -t with -M).  (h/t <a href='http://www.cs.miami.edu/~geoff/'>Geoff Sutcliffe</a>)"))
);

function download1($v) {
  echo '<div class="releasecontainer"><span class="release"><a href="downloads/satallax-'.$v["version"].'.tar.gz">Satallax '.$v["version"].'</a>';
  echo '<span class="releasedate">'.$v["date"].'</span><br/><br/>';
  foreach ($v["notes"] as $note) {
    echo '<span class="releasenote">'.$note.'</span><br/><br/>';
  }
  echo '</span></div><hr/>';
}

function latestdownload() {
  global $downloads;
  echo '<hr/>';
  download1($downloads[0]);
}

function alldownloads() {
  global $downloads;
  echo '<hr/>';
  foreach ($downloads as $v) {
    download1($v);
  }
}

?>
